Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rj.tools.jcsc.ant
Class WorstElement

    java.lang.Object
      |
      +--rj.tools.jcsc.ant.WorstElement

public class WorstElement
extends java.lang.Object

Represents a class which has been parsed. It contains the name of the class the authors of the class and the number of violations. This class is been used for statistical purposes.

Version:
  $Revision: 1.3 $
Author:
  Ralph Jocham

Constructor Summary
`WorstElement(java.lang.String className, java.lang.String authors, int violations)` Creates a new WorstElement with the name of the class the authors of the class and the number of violations

Method Summary
`java.lang.String` | `getAuthors()` `getAuthors`
`java.lang.String` | `getClassName()` `getClassName`
`int` | `getViolationsCount()` Returns the number of violations

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WorstElement

    public WorstElement(java.lang.String className,
                        java.lang.String authors,
                        int violations)

  Creates a new WorstElement with the name of the class the authors of the class and the number of violations
  Parameters:
    `className` -
    `authors` -
    `violations` -

Method Detail

### getClassName

    public java.lang.String getClassName()

  `getClassName`
  Returns:
    a `String` value

### getAuthors

    public java.lang.String getAuthors()

  `getAuthors`
  Returns:
    a `String` value

### getViolationsCount

    public int getViolationsCount()

  Returns the number of violations
  Returns:
    a integer value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(c) 1999-2004 by Ralph Jocham (rjocham72@netscape.net)
JCSC is released under the terms of the GNU General Public License